#!/bin/bash
  

# 使用 whmapi1 列出所有經銷帳號
response=$(whmapi1 --output=jsonpretty listresellers)

# 使用 jq 解析 JSON 回應並檢查 data.reseller 是否為空
is_empty=$(echo "$response" | jq -r '.data.reseller | if length == 0 then "true" else "false" end')

# 判斷 data.reseller 是否為空並輸出結果
if [ "$is_empty" == "true" ]; then
    echo "此主機非經銷主機，不執行此程式!"
    exit
else
    :
fi


#建立cPanel 經銷帳號之陣列
reseller_list=$(whmapi1 --output=jsonpretty listresellers)
resellers=($(echo "$reseller_list" | jq -r '.data.reseller[]'))

for reseller in "${resellers[@]}"; do
  whmapi1 --output=jsonpretty setacls reseller=$reseller acllist='RESELLER'
done

